## qt6-speech 6.4.2

=== CMakeLists.txt ===
# Generated from qtspeech.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtSpeech
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Speech Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Widgets Test Multimedia Qml QmlIntegration)

if(NOT TARGET Qt::QmlIntegration)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::QmlIntegration\" is not met.")
    return()
endif()

qt_build_repo()

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin()

add_subdirectory(speech)

qt_examples_build_end()

=== src/plugins/CMakeLists.txt ===
# Generated from plugins.pro.

if(TARGET Qt::TextToSpeech)
    add_subdirectory(tts)
endif()

=== examples/speech/hello_speak/CMakeLists.txt ===
# Generated from hello_speak.pro.

cmake_minimum_required(VERSION 3.14)
project(hello_speak LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/speech/hello_speak")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS TextToSpeech)

qt_add_executable(hello_speak
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
)
set_target_properties(hello_speak PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(hello_speak PUBLIC
    Qt::Core
    Qt::Gui
    Qt::TextToSpeech
    Qt::Widgets
)

install(TARGETS hello_speak
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/qvoice/CMakeLists.txt ===
qt_internal_add_test(tst_qvoice
    SOURCES
        tst_qvoice.cpp
    PUBLIC_LIBRARIES
        Qt::TextToSpeechPrivate
)

=== src/plugins/tts/darwin/CMakeLists.txt ===
qt_internal_find_apple_system_framework(FWAVFoundation AVFoundation)

qt_internal_add_plugin(QTextToSpeechDarwinPlugin
    OUTPUT_NAME qtexttospeech_speechdarwin
    PLUGIN_TYPE texttospeech
    SOURCES
        qtexttospeech_darwin.h qtexttospeech_darwin.mm
        qtexttospeech_darwin_plugin.cpp qtexttospeech_darwin_plugin.h
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::TextToSpeech
        ${FWAVFoundation}
)

=== src/plugins/tts/flite/CMakeLists.txt ===
find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS Multimedia)

qt_internal_add_plugin(QTextToSpeechFlitePlugin
    OUTPUT_NAME qtexttospeech_flite
    PLUGIN_TYPE texttospeech
    SOURCES
        qtexttospeech_flite.cpp qtexttospeech_flite.h
        qtexttospeech_flite_plugin.cpp qtexttospeech_flite_plugin.h
        qtexttospeech_flite_processor.cpp qtexttospeech_flite_processor.h
    LIBRARIES
        Flite::Flite
        Qt::Core
        Qt::Multimedia
        Qt::TextToSpeech
)

qt_internal_extend_target(QTextToSpeechFlitePlugin CONDITION QT_FEATURE_flite_alsa
    LIBRARIES
        ALSA::ALSA
)

=== src/plugins/tts/macos/CMakeLists.txt ===
qt_internal_add_plugin(QTextToSpeechMacOSPlugin
    OUTPUT_NAME qtexttospeech_speech_macos
    PLUGIN_TYPE texttospeech
    SOURCES
        qtexttospeech_macos.h qtexttospeech_macos.mm
        qtexttospeech_macos_plugin.cpp qtexttospeech_macos_plugin.h
    LIBRARIES
        ${FWCocoa}
        Qt::Core
        Qt::Gui
        Qt::TextToSpeech
)

=== src/plugins/tts/mock/CMakeLists.txt ===
qt_internal_add_plugin(QTextToSpeechMockPlugin
    OUTPUT_NAME qtexttospeech_mock
    PLUGIN_TYPE texttospeech
    SOURCES
        qtexttospeech_mock.cpp qtexttospeech_mock.h
        qtexttospeech_mock_plugin.cpp qtexttospeech_mock_plugin.h
    LIBRARIES
        Qt::Core
        Qt::TextToSpeech
)

=== src/plugins/tts/speechdispatcher/CMakeLists.txt ===
qt_internal_add_plugin(QTextToSpeechSpeechdPlugin
    OUTPUT_NAME qtexttospeech_speechd
    PLUGIN_TYPE texttospeech
    SOURCES
        qtexttospeech_speechd.cpp qtexttospeech_speechd.h
        qtexttospeech_speechd_plugin.cpp qtexttospeech_speechd_plugin.h
    LIBRARIES
        Qt::Core
        Qt::TextToSpeech
)

qt_internal_extend_target(QTextToSpeechSpeechdPlugin CONDITION QT_FEATURE_speechd
    LIBRARIES
        SpeechDispatcher::SpeechDispatcher
)

=== src/plugins/tts/android/jar/CMakeLists.txt ===
qt_get_android_sdk_jar_for_api("android-21" android_sdk)

set(java_sources
    src/org/qtproject/qt/android/speech/QtTextToSpeech.java
)

qt_internal_add_jar(QtAndroidTextToSpeech
    INCLUDE_JARS ${android_sdk}
    SOURCES ${java_sources}
    OUTPUT_DIR "${QT_BUILD_DIR}/jar"
)

install_jar(QtAndroidTextToSpeech
    DESTINATION jar
    COMPONENT Devel
)

=== src/plugins/tts/android/src/CMakeLists.txt ===
qt_internal_add_plugin(QTextToSpeechEngineAndroid
    OUTPUT_NAME qttexttospeech_android
    PLUGIN_TYPE texttospeech
    SOURCES
        qtexttospeech_android.cpp qtexttospeech_android.h
        qtexttospeech_android_plugin.cpp qtexttospeech_android_plugin.h
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::TextToSpeech
)

add_dependencies(QTextToSpeechEngineAndroid QtAndroidTextToSpeech)

## qt6-speech 6.4.1

=== debian/changelog ===
qt6-speech (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 20:55:49 +0100

qt6-speech (6.4.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1021682)

 -- Patrick Franz <deltaone@debian.org>  Sat, 22 Oct 2022 17:12:10 +0200

=== debian/control ===
Source: qt6-speech
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               flite1-dev,
               libasound2-dev,
               libspeechd-dev,
               libxcb-xkb-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.4.1+dfsg~),
               qt6-base-private-dev (>= 6.4.1+dfsg~),
               qt6-declarative-dev (>= 6.4.1+dfsg~),
               qt6-multimedia-dev (>= 6.4.1~),
Standards-Version: 4.6.1
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech.git
Rules-Requires-Root: no

Package: libqt6texttospeech6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Speech library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Timeline library.

Package: qt6-speech-flite-plugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 Speech library - Flite plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the plugin for Flite speech synthesis engine.

Package: qt6-speech-speechd-plugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 Speech library - speechd plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtSpeech provides support for text-to-speech and speech recognition in Qt
 applications.
 .
 This package contains the plugin for speechd speech synthesis engine.

Package: qml6-module-qttexttospeech
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Speech QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Speech QML module.

Package: qt6-speech-dev
Architecture: any
Multi-Arch: same
Depends: libqt6texttospeech6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Speech library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using the Qt 6 Speech library.

## qt6-speech 6.4.2

=== debian/changelog ===
qt6-speech (6.4.2-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:48:49 +1100

qt6-speech (6.4.2-6build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:01:46 +0000

qt6-speech (6.4.2-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Aug 2023 18:17:15 +0200

qt6-speech (6.4.2-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Add binary package for examples (Closes: #1042275).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jul 2023 00:29:04 +0200

qt6-speech (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Jun 2023 20:29:07 +0200

qt6-speech (6.4.2-3) unstable; urgency=medium

  * Team upload.
  * Do not install plugins-related CMake files (Closes: #1031078).
    Thanks Jonas Smedegaard for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 11 Feb 2023 17:22:59 -0300

qt6-speech (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing B-D qml6-module-qtquick3d-spatialaudio (Closes:
    #1030471).

 -- Patrick Franz <deltaone@debian.org>  Sat, 04 Feb 2023 11:13:21 +0100

qt6-speech (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sun, 22 Jan 2023 11:33:34 +0100

qt6-speech (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:03 +0100

qt6-speech (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-speech
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -12,11 +13,14 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.4.1+dfsg~),
-               qt6-base-private-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-dev (>= 6.4.1+dfsg~),
-               qt6-multimedia-dev (>= 6.4.1~),
-Standards-Version: 4.6.1
+               qml6-module-qtquick3d-spatialaudio (>= 6.4.2~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-multimedia-dev (>= 6.4.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech.git
@@ -83,3 +87,36 @@
  .
  This package contains the header development files used for building Qt 6
  applications using the Qt 6 Speech library.
+
+Package: qt6-speech-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc, ${misc:Depends},
+Description: Qt 6 Speech documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for Qt 6 Speech.
+
+Package: qt6-speech-doc-html
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Description: Qt 6 Speech HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for Qt 6 Speech.
+
+Package: qt6-speech-examples
+Architecture: any
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Speech examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt Speech submodule.

## qt6-speech 6.6.1

=== debian/changelog ===
qt6-speech (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jan 2024 00:04:07 +0100

qt6-speech (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:06:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: qt6-speech
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                flite1-dev,
@@ -13,13 +12,12 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick3d-spatialaudio (>= 6.4.2~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-multimedia-dev (>= 6.4.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-multimedia-dev (>= 6.6.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
@@ -29,7 +27,7 @@
 Package: libqt6texttospeech6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Speech library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -39,8 +37,8 @@
 Package: qt6-speech-flite-plugin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 Speech library - Flite plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -53,8 +51,8 @@
 Package: qt6-speech-speechd-plugin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 Speech library - speechd plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -67,8 +65,8 @@
 Package: qml6-module-qttexttospeech
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Speech QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-speech 6.6.2

=== debian/changelog ===
qt6-speech (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:41:23 +0200

qt6-speech (6.6.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Let qt6-speech-dev depend on qt6-multimedia-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 May 2024 22:55:07 +0200

qt6-speech (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 20:35:46 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                libspeechd-dev,
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-multimedia-dev (>= 6.6.1~),
+               pkgconf,
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-multimedia-dev (>= 6.6.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
@@ -78,6 +78,7 @@
 Multi-Arch: same
 Depends: libqt6texttospeech6 (= ${binary:Version}),
          qt6-base-dev,
+         qt6-multimedia-dev,
          ${misc:Depends},
 Description: Qt 6 Speech library - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-speech 6.7.2

=== debian/changelog ===
qt6-speech (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Add the plugins to Recommends, as you need one plugin to be
    installed to get something spoken out.
  * Examples package:
    - Enable qml detection.
    - depend on speech plugins, otherwise the start button is grayed out.

  [ Patrick Franz ]
  * Add qt6-declarative-private-dev as a B-D due to #1087385.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Thu, 21 Nov 2024 23:55:11 +0100

qt6-speech (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:05:19 +0200

qt6-speech (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 12:50:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                flite1-dev,
                libasound2-dev,
                libspeechd-dev,
@@ -12,13 +14,14 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-multimedia-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev,
+               qt6-multimedia-dev (>= 6.7.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech.git
@@ -66,7 +69,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Recommends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin
 Description: Qt 6 Speech QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -77,6 +81,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt6texttospeech6 (= ${binary:Version}),
+         qml6-module-qttexttospeech (= ${binary:Version}),
          qt6-base-dev,
          qt6-multimedia-dev,
          ${misc:Depends},
@@ -113,7 +118,10 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin,
+         ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 Speech examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-speech 6.8.0

=== debian/changelog ===
qt6-speech (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 16:19:46 +0800

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,20 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                flite1-dev,
                libasound2-dev,
                libspeechd-dev,
                libxcb-xkb-dev,
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev,
-               qt6-multimedia-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-multimedia-dev (>= 6.8.0~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech.git
@@ -69,8 +66,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Speech QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -81,9 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt6texttospeech6 (= ${binary:Version}),
-         qml6-module-qttexttospeech (= ${binary:Version}),
          qt6-base-dev,
-         qt6-multimedia-dev,
          ${misc:Depends},
 Description: Qt 6 Speech library - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -118,10 +112,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin,
-         ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Speech examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-speech 6.8.1

=== debian/changelog ===
qt6-speech (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:32:46 -0600

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: qt6-speech
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                flite1-dev,
                libasound2-dev,
                libspeechd-dev,
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-multimedia-dev (>= 6.8.0~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev,
+               qt6-multimedia-dev (>= 6.8.1~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech.git
@@ -66,7 +70,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Recommends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin,
 Description: Qt 6 Speech QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -77,7 +82,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt6texttospeech6 (= ${binary:Version}),
+         qml6-module-qttexttospeech (= ${binary:Version}),
          qt6-base-dev,
+         qt6-multimedia-dev,
          ${misc:Depends},
 Description: Qt 6 Speech library - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -112,7 +119,10 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin,
+         ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 Speech examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-speech 6.8.2

=== tests/auto/qvoice/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_qvoice
    SOURCES
        tst_qvoice.cpp
    LIBRARIES
        Qt::TextToSpeechPrivate
)

=== src/plugins/tts/flite/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS Multimedia)
 
 qt_internal_add_plugin(QTextToSpeechFlitePlugin

=== debian/changelog ===
qt6-speech (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:19:59 +0100

qt6-speech (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 12 Feb 2025 22:32:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qt6-speech
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                flite1-dev,
                libasound2-dev,
                libspeechd-dev,
@@ -15,11 +14,11 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
                qt6-declarative-private-dev,
-               qt6-multimedia-dev (>= 6.8.1~),
+               qt6-multimedia-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
@@ -71,7 +70,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin,
+Recommends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin
 Description: Qt 6 Speech QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-speech 6.8.3

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from plugins.pro.
 
 if(TARGET Qt::TextToSpeech)

=== src/plugins/tts/macos/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 qt_internal_add_plugin(QTextToSpeechMacOSPlugin
     OUTPUT_NAME qtexttospeech_speech_macos
     PLUGIN_TYPE texttospeech
@@ -9,4 +12,5 @@
         Qt::Core
         Qt::Gui
         Qt::TextToSpeech
+        Qt::Multimedia
 )

=== src/plugins/tts/mock/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 qt_internal_add_plugin(QTextToSpeechMockPlugin
     OUTPUT_NAME qtexttospeech_mock
     PLUGIN_TYPE texttospeech

=== debian/changelog ===
qt6-speech (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:31:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-speech
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -14,11 +15,11 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
                qt6-declarative-private-dev,
-               qt6-multimedia-dev (>= 6.8.2~),
+               qt6-multimedia-dev (>= 6.8.3~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-speech 6.9.1

=== debian/changelog ===
qt6-speech (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 13:30:03 +0200

qt6-speech (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Aug 2025 18:39:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: qt6-speech
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                flite1-dev,
                libasound2-dev,
                libspeechd-dev,
@@ -15,14 +15,13 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev,
-               qt6-multimedia-dev (>= 6.8.3~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-multimedia-dev (>= 6.9.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech.git
@@ -71,7 +70,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin
+Recommends: qt6-speech-speechd-plugin | qt6-speech-flite-plugin,
 Description: Qt 6 Speech QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-speech 6.9.2

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qtspeech.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtSpeech
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Speech Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Multimedia Widgets Test QuickTest Qml)

if(NOT TARGET Qt6::Multimedia)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt6::Multimedia\" is not met.")
    return()
endif()

qt_internal_project_setup()

qt_build_repo()

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause
+
 # Generated from examples.pro.
 
 qt_examples_build_begin()

=== examples/speech/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

# Generated from speech.pro.

if(TARGET Qt::Widgets)
    qt_internal_add_example(hello_speak)
endif()
if(TARGET Qt::Quick)
    qt_internal_add_example(quickspeech)
endif()

=== src/tts/qml/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(TextToSpeechQml
    URI "QtTextToSpeech"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET TextToSpeechQml
    SOURCES
        qtexttospeech_qmltypes_p.h
        qdeclarativetexttospeech.cpp qdeclarativetexttospeech_p.h
        qvoiceselectorattached.cpp qvoiceselectorattached_p.h
    LIBRARIES
        Qt::TextToSpeech
    NO_GENERATE_CPP_EXPORTS
)

=== tests/auto/qtexttospeech/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_qtexttospeech
    SOURCES
        tst_qtexttospeech.cpp
    LIBRARIES
        Qt::TextToSpeechPrivate
        Qt::Multimedia
)

# on macOS we need to run a Cocoa event dispatcher
qt_internal_extend_target(tst_qtexttospeech CONDITION MACOS
    LIBRARIES
        Qt::Gui
)

# for a standalone test build we have to find_package SpeechDispatcher again
find_package(SpeechDispatcher)
qt_internal_extend_target(tst_qtexttospeech CONDITION QT_FEATURE_speechd
    LIBRARIES
        SpeechDispatcher::SpeechDispatcher
)

=== tests/auto/qtexttospeech_qml/CMakeLists.txt ===
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *.qml)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qtexttospeech_qml
    QMLTEST
    SOURCES
        main.cpp
    LIBRARIES
        Qt::TextToSpeech
        Qt::Qml
    TESTDATA ${test_data}
)

=== src/plugins/tts/android/CMakeLists.txt ===
add_subdirectory(jar)
add_subdirectory(src)

=== src/plugins/tts/flite/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 # Copyright (C) 2022 The Qt Company Ltd.
 # SPDX-License-Identifier: BSD-3-Clause
-
-find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS Multimedia)
 
 qt_internal_add_plugin(QTextToSpeechFlitePlugin
     OUTPUT_NAME qtexttospeech_flite
@@ -16,8 +14,3 @@
         Qt::Multimedia
         Qt::TextToSpeech
 )
-
-qt_internal_extend_target(QTextToSpeechFlitePlugin CONDITION QT_FEATURE_flite_alsa
-    LIBRARIES
-        ALSA::ALSA
-)

=== src/plugins/tts/winrt/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_plugin(QTextToSpeechWinRTPlugin
    OUTPUT_NAME qtexttospeech_winrt
    PLUGIN_TYPE texttospeech
    SOURCES
        qtexttospeech_winrt.cpp qtexttospeech_winrt.h
        qtexttospeech_winrt_audiosource.cpp qtexttospeech_winrt_audiosource.h
        qtexttospeech_winrt_plugin.cpp qtexttospeech_winrt_plugin.h
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::TextToSpeech
        Qt::Multimedia
        shlwapi
        runtimeobject
)

qt_internal_extend_target(QTextToSpeechWinRTPlugin CONDITION MSVC
    COMPILE_OPTIONS
        /Zc:twoPhase-
)

=== debian/changelog ===
qt6-speech (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Nov 2025 19:31:31 +0100

qt6-speech (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:17:55 +0200

qt6-speech (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Sep 2025 19:44:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               ccache [linux-any],
                cmake (>= 3.24~),
                flite1-dev,
                libasound2-dev,
@@ -15,17 +14,16 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-multimedia-dev (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-multimedia-dev (>= 6.9.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-documentation-tools (>= 6.9~) <!nodoc>,
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-speech.git
-Rules-Requires-Root: no
 
 Package: libqt6texttospeech6
 Architecture: any

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtspeech-everywhere-src-(.*)\.tar\.xz
